Summary:	A remote display system
Name:		vnc
Version:	3.3.3r2
Release:	1mdk
URL:		http://www.uk.research.att.com/vnc/

Source0:	http://www.uk.research.att.com/vnc/dist/%{name}-%{version}_unixsrc.tar.bz2
Source1:	vnc.conf
Source2:	vncserver.init
Source3:	vnc-latest_doc.tar.bz2
Source4:	Xvnc.1
Source5:	vncserver.1
Source6:	vncpasswd.1
Source7:	vncconnect.1
Source8:	vncviewer.1
Source9:	tightvnc-1.1p9_javabin.tar.bz2

Patch0:		vnc-imake.patch.bz2
Patch1:		vnc-xauth.patch
Patch2:		vnc-3.3.3r2-unix-tight-1.1p9.patch.bz2
Patch3:		vnc-fp.patch
Patch4:		vnc-3.3.3r2-tcpwrappers.patch
Patch5:		vnc-3.3.3r2-noman.patch
Patch6:		vnc-xclients.patch
Patch7:		vnc-vncuserdir.patch
Patch8:		vnc-ppc.patch.bz2

License:	GPL
Group:		Networking/Remote access
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	zlib-devel libjpeg-devel
Prereq:		/sbin/chkconfig /sbin/service

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%package server
Summary:	A VNC server
Group:		System/Servers
Prereq:		/sbin/chkconfig /etc/init.d

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%package doc
Summary:	Complete documentation for VNC
Group:		Networking/Remote access

%description doc
This package contains HTML documentation about VNC (Virtual Network
Computing) programs.  Install the vnc-doc package if you want
extensive online documentation about VNC.

%prep
%setup -q -n %{name}_unixsrc -a 3

gzip -dc %{SOURCE9} | tar xf -

%patch0 -p1 -b .imake
%patch1 -p1 -b .xauth
# Tight encoding
%patch2 -p1
# Use the font server
%patch3 -p1 -b .fp
# Use tcp_wrappers
%patch4 -p1 -b .tcpwrappers
# Fix build error when using XFree86 4.1.0's imakefile config
%patch5 -p1 -b .noman
# Use xinit's Xclients script to start the session (RM bug #52711)
%patch6 -p1 -b .xclients
# Make vncpasswd create ~/.vnc if it doesn't exist (RH bug #52547)
%patch7 -p1 -b .vncuserdir
%ifarch ppc
%patch8 -p1
%endif

find . -name "*,v" -exec rm -f {} \;
perl -pi -e "s|/usr/local/vnc/classes|%{_datadir}/vnc/classes|" vncserver
perl -pi -e "s|unix/:7100|unix/:-1|" vncserver
perl -pi -e "s|/usr/local/vnc/classes|%{_datadir}/vnc/classes|" vncserver.xclients
perl -pi -e "s|unix/:7100|unix/:-1|" vncserver.xclients


%build
%serverbuild
xmkmf -a
make CDEBUGFLAGS="%optflags" World
cd Xvnc
make EXTRA_LIBRARIES="-lwrap -lnss_nis" CDEBUGFLAGS="%optflags" World


%install
rm -fr %buildroot

mkdir -p %{buildroot}%{_bindir}
./vncinstall %{buildroot}%{_bindir}
cd Xvnc
make DESTDIR="%{buildroot}" install
cd ..

mkdir -p %{buildroot}%{_datadir}/vnc
cp -aR classes %{buildroot}%{_datadir}/vnc

strip %{buildroot}%{_bindir}/* || :

mkdir -p %{buildroot}/etc/rc.d/init.d
install -m755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d/vncserver

mkdir -p %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE4} %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE5} %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE6} %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE7} %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE8} %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}/etc/sysconfig
cat > %{buildroot}/etc/sysconfig/vncservers << EOF
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the line below to start a VNC server on display :1
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.  
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/vnc/sshvnc.html>.

# VNCSERVERS="1:myusername"
EOF
chmod 644 %{buildroot}/etc/sysconfig/vncservers

mkdir -p %{buildroot}/etc/X11/applnk/Applications
cat > %{buildroot}/etc/X11/applnk/Applications/vncviewer.desktop << EOF
[Desktop Entry]
Name=VNC Viewer
Comment=VNC client application
Exec=/usr/bin/vncviewer
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%post server
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add vncserver
fi

%preun server
if [ "$1" = 0 ]; then
  /sbin/service vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%postun server
if [ "$1" -ge "1" ]; then
  /sbin/service vncserver condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc LICENCE.TXT README 
%{_bindir}/vncviewer
%config(noreplace) /etc/X11/applnk/Applications/vncviewer.desktop
%{_mandir}/man1/vncviewer.1*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config /etc/rc.d/init.d/vncserver
%config(noreplace) /etc/sysconfig/vncservers
%{_bindir}/Xvnc
%{_bindir}/vncserver
%{_bindir}/vncpasswd
%{_bindir}/vncconnect
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/vncconnect.1*
%{_mandir}/man1/vncpasswd.1*

%files doc
%defattr(-,root,root)
%doc vnc_docs/*

%changelog
* Fri Sep 21 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.3r2-1mdk
- Make it works (thanks to Frederic Crozat for his help)

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3r1-2mdk
- use server macro
- initscript config(noreplace)

* Mon Feb 12 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.3.3r1-1mdk
- update to 3.3.3r1 (patch 0 & 4).
- added tight encoding & ssh tunneling (patch 5).
- merged stuff from redhat.

* Sat Jan 27 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.3-9mdk
- added Imake patches for PowerPC architecture

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-8mdk
- use BuildRequires svgalib-devel only on ix86.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-7mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.3.3-6mdk
- Fixed groups

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.3-5mdk
- Small fix for alpha to build.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-4mdk
- fixed build on sparc (and I hope on alpha too).

* Tue Jan  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-3mdk
- make rpmlint happy.
- apply patch0 ;-)
- remove the server-noX package.

* Mon Jan  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-2mdk
- fix owner of files.
- remove /usr/X11R6 from server-noX.
- compile under 7.0.

* Thu Dec 30 1999 Philippe Libat <philippe@mandrakesoft.com>
- [3.3.3]
- Added vnc-latest_doc

* Thu Jul  1 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- Rebuild for Mandrake distrib

* Thu Feb 11 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Add java interface

* Sat Feb 6 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- initial RPM
